Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.ssl
Class SSLSecurityStatus

    java.lang.Object
      |
      +--org.mozilla.jss.ssl.SSLSecurityStatus

public class SSLSecurityStatus
extends java.lang.Object

This class represents the known state of an SSL connection: what cipher is being used, how secure it is, and who's on the other end.

Field Summary
`(package private) X509Certificate` | `certificate`
`(package private) java.lang.String` | `cipher`
`(package private) java.lang.String` | `issuer`
`(package private) java.lang.String` | `serialNumber`
`(package private) int` | `sessionKeySize`
`(package private) int` | `sessionSecretSize`
`(package private) int` | `status`
`int` | `STATUS_FORTEZZA`
`int` | `STATUS_NOOPT`
`int` | `STATUS_OFF`
`int` | `STATUS_ON_HIGH`
`int` | `STATUS_ON_LOW`
`(package private) java.lang.String` | `subject`

Constructor Summary
`SSLSecurityStatus(int status, java.lang.String cipher, int sessionKeySize, int sessionSecretSize, java.lang.String issuer, java.lang.String subject, java.lang.String serialNumber, X509Certificate certificate)` This constructor is called from the native SSL code It's not necessary for you to call this.

Method Summary
`java.lang.String` | `getCipher()` Query which cipher is being used in this session.
`X509Certificate` | `getPeerCertificate()` Retrieve certificate presented by the other other end of the socket Not Supported in NSS 2.0 Beta release.
`java.lang.String` | `getRemoteIssuer()` Get the distinguished name of the remote certificate's issuer
`java.lang.String` | `getRemoteSubject()` Get the distinguished name of the subject of the remote certificate
`int` | `getSecurityStatus()` Get exact security status of socket.
`java.lang.String` | `getSerialNumber()` Get the serial number of the remote certificate
`int` | `getSessionKeySize()` Query how many bits long the session key is.
`int` | `getSessionSecretSize()` To satisfy export restrictions, some of the session key may be revealed.
`boolean` | `isSecurityOn()` Query if security is enabled on this socket.
`java.lang.String` | `toString()` Get a pretty string to show to a user, summarizing the contents of this object

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, wait, wait, wait`

Field Detail

### status

    int status

### cipher

    java.lang.String cipher

### sessionKeySize

    int sessionKeySize

### sessionSecretSize

    int sessionSecretSize

### issuer

    java.lang.String issuer

### subject

    java.lang.String subject

### serialNumber

    java.lang.String serialNumber

### certificate

    X509Certificate certificate

### STATUS_NOOPT

    public final int STATUS_NOOPT

### STATUS_OFF

    public final int STATUS_OFF

### STATUS_ON_HIGH

    public final int STATUS_ON_HIGH

### STATUS_ON_LOW

    public final int STATUS_ON_LOW

### STATUS_FORTEZZA

    public final int STATUS_FORTEZZA

Constructor Detail

### SSLSecurityStatus

    public SSLSecurityStatus(int status,
                             java.lang.String cipher,
                             int sessionKeySize,
                             int sessionSecretSize,
                             java.lang.String issuer,
                             java.lang.String subject,
                             java.lang.String serialNumber,
                             X509Certificate certificate)

  This constructor is called from the native SSL code It's not necessary for you to call this.

Method Detail

### isSecurityOn

    public boolean isSecurityOn()

  Query if security is enabled on this socket.

### getSecurityStatus

    public int getSecurityStatus()

  Get exact security status of socket.

### getCipher

    public java.lang.String getCipher()

  Query which cipher is being used in this session.

### getSessionKeySize

    public int getSessionKeySize()

  Query how many bits long the session key is. More bits are better.

### getSessionSecretSize

    public int getSessionSecretSize()

  To satisfy export restrictions, some of the session key may be revealed. This function tells you how many bits are actually secret.

### getRemoteIssuer

    public java.lang.String getRemoteIssuer()

  Get the distinguished name of the remote certificate's issuer

### getRemoteSubject

    public java.lang.String getRemoteSubject()

  Get the distinguished name of the subject of the remote certificate

### getSerialNumber

    public java.lang.String getSerialNumber()

  Get the serial number of the remote certificate

### getPeerCertificate

    public X509Certificate getPeerCertificate()

  Retrieve certificate presented by the other other end of the socket

  Not Supported in NSS 2.0 Beta release.

  Can be null if peer did not present a certificate.

### toString

    public java.lang.String toString()

  Get a pretty string to show to a user, summarizing the contents of this object
  Overrides:
    toString in class java.lang.Object

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD